## libyanfs-java 0.0+cvs20070825

=== src/com/sun/Makefile ===
#
# Copyright (c) 1997-1999, 2007 Sun Microsystems, Inc. 
# All  Rights Reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions 
# are met:
# 
# -Redistributions of source code must retain the above copyright notice,
# this list of conditions and the following disclaimer.
# 
# -Redistribution in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
# 
# Neither the name of Sun Microsystems, Inc. or the names of contributors
# may be used to endorse or promote products derived from this software
# without specific prior written permission.
# 
# This software is provided "AS IS," without a warranty of any kind. ALL
# EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING
# ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
# PURPOSE OR NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SUN AND ITS LICENSORS
# SHALL NOT BE LIABLE FOR ANY DAMAGES OR LIABILITIES SUFFERED BY LICENSEE
# AS A RESULT OF OR RELATING TO USE, MODIFICATION OR DISTRIBUTION OF THE
# SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS LICENSORS BE
# LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT, INDIRECT,
# SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED
# AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR
# INABILITY TO USE SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGES.
# 
# You acknowledge that this software is not designed,licensed or intended
# for use in the design, construction, operation or maintenance of any
# nuclear facility.
# 
#

SRCDIR=		$(CODEMGR_WS)/src
DOCDIR=		$(CODEMGR_WS)/doc
CDIR=		$(CODEMGR_WS)/classes
SUBDIRS=	xfile gssapi rpc nfs file xhandler xfilechooser # http
PKGS=		com.sun.rpc com.sun.nfs com.sun.xfile \
		com.sun.xfilechooser \
#		com.sun.http com.sun.gssapi com.sun.file 

DOCCLASSPATH=	/usr/java/lib/classes.zip:$(CODEMGR_WS)/classes

all clean:
	@for i in ${SUBDIRS}; do \
		echo "cd $$i ; ${MAKE} $@" ; \
		( cd $$i ; ${MAKE} $@ ) || exit 1 ; \
	done

jar: all
	cd $(CDIR)/com/sun/xfilechooser; \
	tar -xf $(SRCDIR)/com/sun/xfilechooser/beanImages.tar; \
	cd $(CDIR); \
	jar cvfm $(CDIR)/xfilechooser.jar \
	   $(SRCDIR)/com/sun/xfilechooser/manifest.bean com sun

zip: all
	cd $(CDIR); zip -r webnfs com sun -x *.tfile

javadoc: $(DOCDIR)
	javadoc -classpath $(SRCDIR):$(DOCCLASSPATH) -d $(DOCDIR) -public $(PKGS)


$(DOCDIR):
	@if [ ! -d $@ ]; then echo mkdir $@ ; mkdir -p $@ ; fi
	@sccs get -s images.tar
	@cd $@ ; tar -xf $(SRCDIR)/com/sun/images.tar

=== src/com/sun/file/Makefile ===
#
# Copyright (c) Sun Microsystems, Inc. 
# All  Rights Reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions 
# are met:
# 
# -Redistributions of source code must retain the above copyright notice,
# this list of conditions and the following disclaimer.
# 
# -Redistribution in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
# 
# Neither the name of Sun Microsystems, Inc. or the names of contributors
# may be used to endorse or promote products derived from this software
# without specific prior written permission.
# 
# This software is provided "AS IS," without a warranty of any kind. ALL
# EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING
# ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
# PURPOSE OR NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SUN AND ITS LICENSORS
# SHALL NOT BE LIABLE FOR ANY DAMAGES OR LIABILITIES SUFFERED BY LICENSEE
# AS A RESULT OF OR RELATING TO USE, MODIFICATION OR DISTRIBUTION OF THE
# SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS LICENSORS BE
# LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT, INDIRECT,
# SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED
# AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR
# INABILITY TO USE SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGES.
# 
# You acknowledge that this software is not designed,licensed or intended
# for use in the design, construction, operation or maintenance of any
# nuclear facility.
#

PKGDIR=	com/sun/file

include ../Makefile.common

CLASSES= XFileAccessor

JFILES=	$(CLASSES:%=%.java)

$(TFILE):	$(JFILES)
	$(JC) -d $(CDIR) $(JCFLAGS) $?
	@touch $(TFILE)

=== src/com/sun/gssapi/Makefile ===
#
# Copyright (c) 1999, 2007 Sun Microsystems, Inc.
# All Rights Reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions 
# are met:
# 
# -Redistributions of source code must retain the above copyright notice,
# this list of conditions and the following disclaimer.
# 
# -Redistribution in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
# 
# Neither the name of Sun Microsystems, Inc. or the names of contributors
# may be used to endorse or promote products derived from this software
# without specific prior written permission.
# 
# This software is provided "AS IS," without a warranty of any kind. ALL
# EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING
# ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
# PURPOSE OR NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SUN AND ITS LICENSORS
# SHALL NOT BE LIABLE FOR ANY DAMAGES OR LIABILITIES SUFFERED BY LICENSEE
# AS A RESULT OF OR RELATING TO USE, MODIFICATION OR DISTRIBUTION OF THE
# SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS LICENSORS BE
# LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT, INDIRECT,
# SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED
# AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR
# INABILITY TO USE SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGES.
# 
# You acknowledge that this software is not designed,licensed or intended
# for use in the design, construction, operation or maintenance of any
# nuclear facility.
#

#
# We need to compile both the gssapi and spi together because of
# cross-dependencies.
#
PKGDIR=	com/sun/gssapi
DOCDIR= $(CODEMGR_WS)/doc
SRCDIR= $(CODEMGR_WS)/src

# XXX Making dummy mechanism and sample program for testing
# SUBDIRS= mechs/dummy samples


# Include other makefile defines
include ../Makefile.defs


#
# gssapi classes
GSS_CLASSES= 	Oid GSSCredential GSSException GSSName \
		GSSManager MessageProp ChannelBinding \
		DERParser GSSContext

# spi interfaces
SPI_CLASSES=	GSSNameSpi GSSCredSpi C018FE95

#
# properties file
#
PROP_FILES=	mechs.properties


CLASSES= $(GSS_CLASSES) $(SPI_CLASSES)
JFILES=	$(CLASSES:%=%.java)
PFILES= $(PROP_FILES:%=$(CDIR)/$(PKGDIR)/%)


DOCFLAGS= -public


all:	classes $(PFILES)

classes:	$(CDIR)/$(PKGDIR) \
		$(TFILE) \
		$(SUBDIRS)

$(PFILES):
	$(RM) $@; install -s -m 644 -f $(@D) $(PROP_FILES)

clean:
	$(RM) $(CDIR)/$(PKGDIR)/*.class $(TFILE) $(PFILES)
	$(RM) GSSManager.java GSSContext.java C018FE95.java


$(TFILE):	$(JFILES)
	$(JC) -d $(CDIR) $(JCFLAGS) $?
	@touch $(TFILE)


$(CDIR)/$(PKGDIR):	.FRC
	@if [ ! -d $@ ]; then echo mkdir $@; mkdir -p $@; fi


javadoc:	$(DOCDIR)
	javadoc -classpath $(SRCDIR) -d $(DOCDIR) $(DOCFLAGS) com.sun.gssapi com.sun.gssapi.spi


$(DOCDIR):
	@if [ ! -d $@ ]; then echo mkdir $@; mkdir $@; fi


$(SUBDIRS):	$(TFILE) .FRC
	@cd $@; pwd; $(MAKE) $(TARGET)


#
# Names mangling for the export control requirements.
# Use the m4 macro processor to do the preprocessing 
#

#
# keys, variables and methods for getting values from
# the provider class.
#
M4DEF_PROP = -D NAMES=_K872D1AC
M4DEF_PROP += -D NAME=_K532D1BD
M4DEF_PROP += -D CONTEXT=_K1000A49
M4DEF_PROP += -D CRED=_K2102CC5
M4DEF_PROP += -D mechOid=_V0095DCA
M4DEF_PROP += -D m_nameClassName=_V2395ABD
M4DEF_PROP += -D m_ctxtClassName=_V108CA91
M4DEF_PROP += -D m_credClassName=_V901D6C2
M4DEF_PROP += -D m_myP=_V510CA83
M4DEF_PROP += -D m_nameClass=_V80013BE
M4DEF_PROP += -D m_credClass=_V29ED8BF
M4DEF_PROP += -D m_ctxtClass=_V30FDA16
M4DEF_PROP += -D getProvValue=_M73F1AC8

# getCtxtInstance is used by GSSContext and GSSManager classes
M4DEF_GETINS += -D getCtxtInstance=_M4092FBA

# Service Provider Interface Context Class
M4DEF_CLASS = -D GSSCtxtSpi=C018FE95

# for GSSManager.m4
M4DEF_MGR = $(M4DEF_PROP)
M4DEF_MGR += $(M4DEF_GETINS)
M4DEF_MGR += $(M4DEF_CLASS)

# Context Service Provider Interface methods
M4DEF_CTXTSPI = -D _setInitOptions=_S235D9C1
M4DEF_CTXTSPI += -D _setAcceptOptions=_S90010CC
M4DEF_CTXTSPI += -D _setChannelBinding=_S9B00AB2
M4DEF_CTXTSPI += -D _getOptions=_S00027C3
M4DEF_CTXTSPI += -D _getLifetime=_S4080EED
M4DEF_CTXTSPI += -D _getMech=_S0200735
M4DEF_CTXTSPI += -D _getSrcName=_S000EEFF
M4DEF_CTXTSPI += -D _getTargName=_S011CEF9
M4DEF_CTXTSPI += -D _getDelegCred=_S0293FFA
M4DEF_CTXTSPI += -D _isInitiator=_S123049E
M4DEF_CTXTSPI += -D _isProtReady=_S1116FAA
M4DEF_CTXTSPI += -D _initSecCtxt=_S0E039DB
M4DEF_CTXTSPI += -D _acceptSecCtxt=_S80A2F2C
M4DEF_CTXTSPI += -D _getWrapSizeLimit=_S808028B
M4DEF_CTXTSPI += -D _wrap=_S1309AFD
M4DEF_CTXTSPI += -D _unwrap=_S1576D09
M4DEF_CTXTSPI += -D _getMIC=_S1513DBA
M4DEF_CTXTSPI += -D _verifyMIC=_S00256CF
M4DEF_CTXTSPI += -D _export=_S725B2DA
M4DEF_CTXTSPI += -D _importSecCtxt=_S0AC8F9E
M4DEF_CTXTSPI += -D _dispose=_S020B957

# for GSSCtxtSpi.m4
M4DEF_CTXTSPI += $(M4DEF_CLASS)

# for GSSContext.m4
M4DEF_CTXT = $(M4DEF_CTXTSPI)
M4DEF_CTXT += $(M4DEF_GETINS)


C018FE95.java: GSSCtxtSpi.m4
		$(M4) $(M4DEF_CTXTSPI) GSSCtxtSpi.m4 > C018FE95.java

GSSContext.java: GSSContext.m4
		$(M4) $(M4DEF_CTXT) GSSContext.m4 > GSSContext.java

GSSManager.java: GSSManager.m4
		$(M4) $(M4DEF_MGR) GSSManager.m4 > GSSManager.java


.FRC:

.KEEP_STATE:

=== src/com/sun/http/Makefile ===
#
# Copyright (c) 1998, 2007Sun Microsystems, Inc. 
# All  Rights Reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions 
# are met:
# 
# -Redistributions of source code must retain the above copyright notice,
# this list of conditions and the following disclaimer.
# 
# -Redistribution in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
# 
# Neither the name of Sun Microsystems, Inc. or the names of contributors
# may be used to endorse or promote products derived from this software
# without specific prior written permission.
# 
# This software is provided "AS IS," without a warranty of any kind. ALL
# EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING
# ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
# PURPOSE OR NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SUN AND ITS LICENSORS
# SHALL NOT BE LIABLE FOR ANY DAMAGES OR LIABILITIES SUFFERED BY LICENSEE
# AS A RESULT OF OR RELATING TO USE, MODIFICATION OR DISTRIBUTION OF THE
# SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS LICENSORS BE
# LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT, INDIRECT,
# SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED
# AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR
# INABILITY TO USE SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGES.
# 
# You acknowledge that this software is not designed,licensed or intended
# for use in the design, construction, operation or maintenance of any
# nuclear facility.
#

PKGDIR=	com/sun/http

include ../Makefile.common

CLASSES= XFileAccessor

JFILES=	$(CLASSES:%=%.java)

$(TFILE):	$(JFILES)
	$(JC) -d $(CDIR) $(JCFLAGS) $?
	@touch $(TFILE)

=== src/com/sun/nfs/Makefile ===
#
# Copyright (c) 1997-1999, 2007 Sun Microsystems, Inc.
# All Rights Reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions 
# are met:
# 
# -Redistributions of source code must retain the above copyright notice,
# this list of conditions and the following disclaimer.
# 
# -Redistribution in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
# 
# Neither the name of Sun Microsystems, Inc. or the names of contributors
# may be used to endorse or promote products derived from this software
# without specific prior written permission.
# 
# This software is provided "AS IS," without a warranty of any kind. ALL
# EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING
# ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
# PURPOSE OR NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SUN AND ITS LICENSORS
# SHALL NOT BE LIABLE FOR ANY DAMAGES OR LIABILITIES SUFFERED BY LICENSEE
# AS A RESULT OF OR RELATING TO USE, MODIFICATION OR DISTRIBUTION OF THE
# SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS LICENSORS BE
# LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT, INDIRECT,
# SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED
# AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR
# INABILITY TO USE SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGES.
# 
# You acknowledge that this software is not designed,licensed or intended
# for use in the design, construction, operation or maintenance of any
# nuclear facility.
#

PKGDIR=	com/sun/nfs

include ../Makefile.defs

CLASSES= Buffer Fattr Fattr2 Fattr3 \
	NfsSecurity Mount Nfs Nfs2 Nfs3 \
	NfsConnect NfsException NfsURL NfsHandler \
	XFileAccessor XFileExtensionAccessor \
	nfsXFileExtensionAccessor

JFILES=	$(CLASSES:%=%.java)

#
# properties file
#
PROP_FILES=  nfssec.properties
PFILES= $(PROP_FILES:%=$(CDIR)/$(PKGDIR)/%)


all: classes $(PFILES)

classes:        $(CDIR)/$(PKGDIR) $(TFILE)

$(PFILES):
	$(RM) $@; install -s -m 644 -f $(@D) $(PROP_FILES)
 
clean:
	$(RM) *.class $(CDIR)/$(PKGDIR)/*.class $(TFILE) $(PFILES)
 
$(TFILE):	$(JFILES)
	$(JC) -d $(CDIR) $(JCFLAGS) $?
	@touch $(TFILE)

$(CDIR)/$(PKGDIR): .FRC
	@if [ ! -d $@ ]; then echo mkdir $@ ; mkdir -p $@ ; fi
 
.FRC:
 
.KEEP_STATE:

=== src/com/sun/rpc/Makefile ===
#
# Copyright (c) 1997-1999 Sun Microsystems, Inc.
# All Rights Reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions 
# are met:
# 
# -Redistributions of source code must retain the above copyright notice,
# this list of conditions and the following disclaimer.
# 
# -Redistribution in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
# 
# Neither the name of Sun Microsystems, Inc. or the names of contributors
# may be used to endorse or promote products derived from this software
# without specific prior written permission.
# 
# This software is provided "AS IS," without a warranty of any kind. ALL
# EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING
# ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
# PURPOSE OR NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SUN AND ITS LICENSORS
# SHALL NOT BE LIABLE FOR ANY DAMAGES OR LIABILITIES SUFFERED BY LICENSEE
# AS A RESULT OF OR RELATING TO USE, MODIFICATION OR DISTRIBUTION OF THE
# SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS LICENSORS BE
# LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT, INDIRECT,
# SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED
# AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR
# INABILITY TO USE SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGES.
# 
# You acknowledge that this software is not designed,licensed or intended
# for use in the design, construction, operation or maintenance of any
# nuclear facility.
#

PKGDIR=	com/sun/rpc

include ../Makefile.common

CLASSES=RpcException MsgAcceptedException MsgRejectedException \
	Xdr Connection ConnectSocket ConnectDatagram Rpc \
	Cred CredNone CredUnix CredGss RpcHandler

JFILES=	$(CLASSES:%=%.java)

$(TFILE):	$(JFILES)
	$(JC) -d $(CDIR) $(JCFLAGS) $?
	@touch $(TFILE)

=== src/com/sun/xfile/Makefile ===
#
# Copyright (c) 1998 Sun Microsystems, Inc. 
# All  Rights Reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions 
# are met:
# 
# -Redistributions of source code must retain the above copyright notice,
# this list of conditions and the following disclaimer.
# 
# -Redistribution in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
# 
# Neither the name of Sun Microsystems, Inc. or the names of contributors
# may be used to endorse or promote products derived from this software
# without specific prior written permission.
# 
# This software is provided "AS IS," without a warranty of any kind. ALL
# EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING
# ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
# PURPOSE OR NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SUN AND ITS LICENSORS
# SHALL NOT BE LIABLE FOR ANY DAMAGES OR LIABILITIES SUFFERED BY LICENSEE
# AS A RESULT OF OR RELATING TO USE, MODIFICATION OR DISTRIBUTION OF THE
# SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS LICENSORS BE
# LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT, INDIRECT,
# SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED
# AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR
# INABILITY TO USE SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGES.
# 
# You acknowledge that this software is not designed,licensed or intended
# for use in the design, construction, operation or maintenance of any
# nuclear facility.
#

PKGDIR= com/sun/xfile

include ../Makefile.common

CLASSES=XFile XFileAccessor XFileInputStream \
	XFileExtensionAccessor \
	XFilenameFilter XFileOutputStream \
	XFileReader XFileWriter \
	XFurl XRandomAccessFile

JFILES= $(CLASSES:%=%.java)

$(TFILE):       $(JFILES)
	$(JC) -d $(CDIR) $(JCFLAGS) $?
	@touch $(TFILE)

=== src/com/sun/xfilechooser/Makefile ===
#
# Copyright (c) 1997 Sun Microsystems, Inc. 
# All  Rights Reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions 
# are met:
# 
# -Redistributions of source code must retain the above copyright notice,
# this list of conditions and the following disclaimer.
# 
# -Redistribution in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
# 
# Neither the name of Sun Microsystems, Inc. or the names of contributors
# may be used to endorse or promote products derived from this software
# without specific prior written permission.
# 
# This software is provided "AS IS," without a warranty of any kind. ALL
# EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING
# ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
# PURPOSE OR NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SUN AND ITS LICENSORS
# SHALL NOT BE LIABLE FOR ANY DAMAGES OR LIABILITIES SUFFERED BY LICENSEE
# AS A RESULT OF OR RELATING TO USE, MODIFICATION OR DISTRIBUTION OF THE
# SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS LICENSORS BE
# LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT, INDIRECT,
# SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED
# AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR
# INABILITY TO USE SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGES.
# 
# You acknowledge that this software is not designed,licensed or intended
# for use in the design, construction, operation or maintenance of any
# nuclear facility.
#

PKGDIR= com/sun/xfilechooser

include ../Makefile.common

CLASSES= BeanXFile XFileSystemView XFileChooser FileModeEditor DialogEditor EditorResource XFileChooserBeanInfo XFileChooserEditor

JFILES= $(CLASSES:%=%.java)

$(TFILE):       $(JFILES)
	$(JC) -g -d $(CDIR) $(JCBFLAGS) $?
	@touch $(TFILE)

=== src/com/sun/zip/Makefile ===
#
# Copyright (c) 1997, 2007 Sun Microsystems, Inc. 
# All  Rights Reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions 
# are met:
# 
# -Redistributions of source code must retain the above copyright notice,
# this list of conditions and the following disclaimer.
# 
# -Redistribution in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
# 
# Neither the name of Sun Microsystems, Inc. or the names of contributors
# may be used to endorse or promote products derived from this software
# without specific prior written permission.
# 
# This software is provided "AS IS," without a warranty of any kind. ALL
# EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING
# ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
# PURPOSE OR NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SUN AND ITS LICENSORS
# SHALL NOT BE LIABLE FOR ANY DAMAGES OR LIABILITIES SUFFERED BY LICENSEE
# AS A RESULT OF OR RELATING TO USE, MODIFICATION OR DISTRIBUTION OF THE
# SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS LICENSORS BE
# LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT, INDIRECT,
# SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED
# AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR
# INABILITY TO USE SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGES.
# 
# You acknowledge that this software is not designed,licensed or intended
# for use in the design, construction, operation or maintenance of any
# nuclear facility.
#

PKGDIR=	com/sun/zip

include ../Makefile.common

CLASSES= XFileAccessor ZipURL

JFILES=	$(CLASSES:%=%.java)

$(TFILE):	$(JFILES)
	$(JC) -d $(CDIR) $(JCFLAGS) $?
	@touch $(TFILE)

=== src/com/sun/gssapi/samples/Makefile ===
#
# Copyright (c) 1999, 2007 Sun Microsystems, Inc.
# All Rights Reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions 
# are met:
# 
# -Redistributions of source code must retain the above copyright notice,
# this list of conditions and the following disclaimer.
# 
# -Redistribution in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
# 
# Neither the name of Sun Microsystems, Inc. or the names of contributors
# may be used to endorse or promote products derived from this software
# without specific prior written permission.
# 
# This software is provided "AS IS," without a warranty of any kind. ALL
# EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING
# ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
# PURPOSE OR NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SUN AND ITS LICENSORS
# SHALL NOT BE LIABLE FOR ANY DAMAGES OR LIABILITIES SUFFERED BY LICENSEE
# AS A RESULT OF OR RELATING TO USE, MODIFICATION OR DISTRIBUTION OF THE
# SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS LICENSORS BE
# LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT, INDIRECT,
# SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED
# AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR
# INABILITY TO USE SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGES.
# 
# You acknowledge that this software is not designed,licensed or intended
# for use in the design, construction, operation or maintenance of any
# nuclear facility.
#

include ../../Makefile.defs

all: GSSClient GSSServer

clean: rm -f *.class

GSSClient:
	/usr/java/bin/javac -d . $(JCFLAGS) GSSClient.java

GSSServer:
	/usr/java/bin/javac -d . $(JCFLAGS) GSSServer.java

=== src/com/sun/rpc/samples/Makefile ===
#
# Copyright (c) 1999 Sun Microsystems, Inc.
# All Rights Reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions 
# are met:
# 
# -Redistributions of source code must retain the above copyright notice,
# this list of conditions and the following disclaimer.
# 
# -Redistribution in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
# 
# Neither the name of Sun Microsystems, Inc. or the names of contributors
# may be used to endorse or promote products derived from this software
# without specific prior written permission.
# 
# This software is provided "AS IS," without a warranty of any kind. ALL
# EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING
# ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
# PURPOSE OR NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SUN AND ITS LICENSORS
# SHALL NOT BE LIABLE FOR ANY DAMAGES OR LIABILITIES SUFFERED BY LICENSEE
# AS A RESULT OF OR RELATING TO USE, MODIFICATION OR DISTRIBUTION OF THE
# SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS LICENSORS BE
# LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT, INDIRECT,
# SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED
# AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR
# INABILITY TO USE SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGES.
# 
# You acknowledge that this software is not designed,licensed or intended
# for use in the design, construction, operation or maintenance of any
# nuclear facility.
#

#
# RPCGSSClient classes
CLIENT_CLASSES=	RPCGSSClient

CLASSES= $(CLIENT_CLASSES)
JFILES=	$(CLASSES:%=%.java)

RPCGSSClient:
#	/usr/java/bin/javac -d . -deprecation RPCGSSClient.java
	/usr/java/bin/javac -d . RPCGSSClient.java

=== src/com/sun/gssapi/mechs/dummy/Makefile ===
#
# Copyright (c) 1999, 2007 Sun Microsystems, Inc.
# All Rights Reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions 
# are met:
# 
# -Redistributions of source code must retain the above copyright notice,
# this list of conditions and the following disclaimer.
# 
# -Redistribution in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
# 
# Neither the name of Sun Microsystems, Inc. or the names of contributors
# may be used to endorse or promote products derived from this software
# without specific prior written permission.
# 
# This software is provided "AS IS," without a warranty of any kind. ALL
# EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING
# ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
# PURPOSE OR NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SUN AND ITS LICENSORS
# SHALL NOT BE LIABLE FOR ANY DAMAGES OR LIABILITIES SUFFERED BY LICENSEE
# AS A RESULT OF OR RELATING TO USE, MODIFICATION OR DISTRIBUTION OF THE
# SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS LICENSORS BE
# LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT, INDIRECT,
# SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED
# AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR
# INABILITY TO USE SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGES.
# 
# You acknowledge that this software is not designed,licensed or intended
# for use in the design, construction, operation or maintenance of any
# nuclear facility.
#

PKGDIR=	com/sun/gssapi/dummy

include ../../../Makefile.common

CLASSES= Dummy DummyCtxt DummyName DummyCred

JFILES=	$(CLASSES:%=%.java)

all:	$(TFILE)
$(TFILE):	$(JFILES)
	$(JC) -d $(CDIR) $(JCFLAGS) $?
	@touch $(TFILE)


#
# Name mangling
#
# Properties key=value strings
M4DEF_PROP = -D NAMES=_K872D1AC
M4DEF_PROP += -D NAME=_K532D1BD
M4DEF_PROP += -D CONTEXT=_K1000A49
M4DEF_PROP += -D CRED=_K2102CC5

Dummy.java: Dummy.m4
	/usr/ccs/bin/m4 $(M4DEF_PROP) Dummy.m4 > Dummy.java 

# Service Provider Interface Context Class and its methods/interface
M4DEF_CTXTSPI = -D GSSCtxtSpi=C018FE95
M4DEF_CTXTSPI += -D _setInitOptions=_S235D9C1
M4DEF_CTXTSPI += -D _setAcceptOptions=_S90010CC
M4DEF_CTXTSPI += -D _setChannelBinding=_S9B00AB2
M4DEF_CTXTSPI += -D _getOptions=_S00027C3
M4DEF_CTXTSPI += -D _getLifetime=_S4080EED
M4DEF_CTXTSPI += -D _getMech=_S0200735
M4DEF_CTXTSPI += -D _getSrcName=_S000EEFF
M4DEF_CTXTSPI += -D _getTargName=_S011CEF9
M4DEF_CTXTSPI += -D _getDelegCred=_S0293FFA
M4DEF_CTXTSPI += -D _isInitiator=_S123049E
M4DEF_CTXTSPI += -D _isProtReady=_S1116FAA
M4DEF_CTXTSPI += -D _initSecCtxt=_S0E039DB
M4DEF_CTXTSPI += -D _acceptSecCtxt=_S80A2F2C
M4DEF_CTXTSPI += -D _getWrapSizeLimit=_S808028B
M4DEF_CTXTSPI += -D _wrap=_S1309AFD
M4DEF_CTXTSPI += -D _unwrap=_S1576D09
M4DEF_CTXTSPI += -D _getMIC=_S1513DBA
M4DEF_CTXTSPI += -D _verifyMIC=_S00256CF
M4DEF_CTXTSPI += -D _export=_S725B2DA
M4DEF_CTXTSPI += -D _importSecCtxt=_S0AC8F9E
M4DEF_CTXTSPI += -D _dispose=_S020B957

DummyCtxt.java: DummyCtxt.m4
	/usr/ccs/bin/m4 $(M4DEF_CTXTSPI) DummyCtxt.m4 > DummyCtxt.java

=== debian/changelog ===
libyanfs-java (0.0+cvs20070825-4) unstable; urgency=low

  * Team upload.
  * Switch to debhelper level 7.
  * Remove Java runtime from Depends.
  * Update Standards-Version: 3.9.2.

 -- Torsten Werner <twerner@debian.org>  Sun, 25 Sep 2011 22:51:14 +0200

libyanfs-java (0.0+cvs20070825-3) unstable; urgency=low

  * Team Upload
  * Let 'maintainers' start with an uppercase M.
  * Switch to default-jdk.
  * Update Standards-Version: 3.8.4.
  * Change Section: java.
  * Switch to source format 3.0.

 -- Torsten Werner <twerner@debian.org>  Sat, 10 Apr 2010 23:27:53 +0200

libyanfs-java (0.0+cvs20070825-2) unstable; urgency=low

  [ Kumar Appaiah ]
  * debian/control:
    + Change XS-Vcs-* to Vcs-*.
    + Add Homepage field, shift homepage from description.

  [ Varun Hiremath ]
  * Fix doc-base file, Thanks to Esteban Manchado Velázquez
    <zoso@debian.org> (Closes: #466460)
  * Bump Standards-Version to 3.7.3

 -- Varun Hiremath <varun@debian.org>  Tue, 19 Feb 2008 12:01:25 +0530

libyanfs-java (0.0+cvs20070825-1) unstable; urgency=low

  [ Varun Hiremath ]
  * Initial release (Closes: #441047)
  * debian/orig-tar.sh: extract the image *.tgz and remove them later.
  
  [ Kumar Appaiah ]
  * Add XS-Vcs-Browser and XS-Vcs-Svn entries.
  * Ensure that *.properties and *.gif is included in the JAR.

 -- Varun Hiremath <varunhiremath@gmail.com>  Sun, 09 Sep 2007 14:09:20 +0530

=== debian/rules ===
#!/usr/bin/make -f

# This variable is used by the Makefile to determine the root
# directory of the sources. Upstream uses this, but doesn't define it
# explicitly. So, we do it here.
export CODEMGR_WS=.

include /usr/share/cdbs/1/class/ant.mk
include /usr/share/cdbs/1/rules/debhelper.mk

JAVA_HOME		:= /usr/lib/jvm/default-java
DEB_ANT_BUILD_TARGET	:= jar javadoc
DEB_ANT_BUILDFILE	:= debian/build.xml
DEB_ANT_PROPERTYFILE	:= debian/build.properties

clean::
	(cd ./src/com/sun/gssapi/mechs/dummy/; $(RM) Dummy.java DummyCtxt.java)	
	(cd ./src/com/sun/gssapi/; $(RM) GSSCtxtSpi.java)	
	$(RM) debian/build-m4

post-patches:: debian/build-m4
debian/build-m4::
	(cd ./src/com/sun/gssapi/mechs/dummy/; $(MAKE) Dummy.java DummyCtxt.java)
	(cd ./src/com/sun/gssapi/; $(MAKE) C018FE95.java)
	touch $@

install/libyanfs-java::
	install -m 644 -D yanfs.jar $(DEB_DESTDIR)/usr/share/java/yanfs-$(DEB_UPSTREAM_VERSION).jar
	dh_link /usr/share/java/yanfs-$(DEB_UPSTREAM_VERSION).jar /usr/share/java/yanfs.jar

get-orig-source:
	sh debian/orig-tar.sh $(DEB_UPSTREAM_VERSION)

## libyanfs-java 1.4

=== debian/changelog ===
libyanfs-java (1.4-1) unstable; urgency=medium

  * Team upload
  * Omissing the installation of documentation, which is no longer built
  * Simplifying debian/rules to its minimal contents
  * Adding a d/*.poms file to manage the Maven build
  * Updating Build-Dependencies to build with Maven
  * Removing old files in debian/ that were used with ant

  [ Kumar Appaiah ]
  * debian/control:
    + Remove Kumar Appaiah from uploaders

  [ Andreas Tille ]
  * New Homepage
  * Fix Vcs fields
  * Add watch file
  * d/copyright: DEP5 + review
  * Switch from cdbs to dh
  * debhelper-compat=13
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Adapt to new upstream

 -- Pierre Gruet <pgt@debian.org>  Fri, 31 Jan 2025 16:56:08 +0100

libyanfs-java (0.0+cvs20070825-4.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 14:24:52 +0100

=== debian/control ===
Source: libyanfs-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>
Build-Depends: debhelper-compat (= 13),
               maven-debian-helper
Build-Depends-Indep: default-jdk-headless,
                     m4
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/java-team/libyanfs-java
Vcs-Git: https://salsa.debian.org/java-team/libyanfs-java.git
Homepage: https://github.com/raisercostin/yanfs

Package: libyanfs-java
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Yet Another NFS - a Java NFS library
 This project represents a Java implementation of the XDR, RPC, NFSv2,
 and NFSv3 protocols in client side form.
 .
 WebNFS was the original name for this implementation but the name has
 changed to reflect the expanded scope of the project to include a
 server side implementation.

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/raisercostin/yanfs/tags (?:.*?/)?yanfs-(\d[\d.]*)\.tar\.gz
